Index: /branches/OMEdit/OMEditGUI/BitmapAnnotation.cpp
===================================================================
--- /branches/OMEdit/OMEditGUI/BitmapAnnotation.cpp	(revision 13536)
+++ /branches/OMEdit/OMEditGUI/BitmapAnnotation.cpp	(revision 13537)
@@ -35,338 +35,2 @@
 
 #include "BitmapAnnotation.h"
-
-BitmapAnnotation::BitmapAnnotation(QString shape, Component *pParent)
-  : ShapeAnnotation(pParent), mpComponent(pParent)
-{
-  initializeFields();
-  parseShapeAnnotation(shape, mpComponent->getOMCProxy());
-}
-
-BitmapAnnotation::BitmapAnnotation(GraphicsView *graphicsView, QGraphicsItem *pParent)
-  : ShapeAnnotation(graphicsView, pParent)
-{
-  initializeFields();
-  mIsCustomShape = true;
-  setAcceptHoverEvents(true);
-  mFileName = ":/Resources/icons/bitmap-shape.png";
-
-  QFile* file = new QFile(":/Resources/icons/bitmap-shape.png");
-  file->open(QIODevice::ReadOnly);
-  QByteArray image = file->readAll();
-  mImageSource = QString(image.toBase64());
-
-  connect(this, SIGNAL(updateShapeAnnotation()), mpGraphicsView, SLOT(addClassAnnotation()));
-}
-
-BitmapAnnotation::BitmapAnnotation(QString shape, GraphicsView *graphicsView, QGraphicsItem *pParent)
-  : ShapeAnnotation(graphicsView, pParent)
-{
-  // initialize all fields with default values
-  initializeFields();
-  mIsCustomShape = true;
-  parseShapeAnnotation(shape, mpGraphicsView->getModelWidget()->getModelWidgetContainer()->getMainWindow()->getOMCProxy());
-  setAcceptHoverEvents(true);
-  connect(this, SIGNAL(updateShapeAnnotation()), mpGraphicsView, SLOT(addClassAnnotation()));
-}
-
-QRectF BitmapAnnotation::boundingRect() const
-{
-  return shape().boundingRect();
-}
-
-QPainterPath BitmapAnnotation::shape() const
-{
-  QPainterPath path;
-  path.addRoundedRect(getBoundingRect(), mCornerRadius, mCornerRadius);
-  return path;
-}
-
-void BitmapAnnotation::paint(QPainter *painter, const QStyleOptionGraphicsItem *option, QWidget *widget)
-{
-  Q_UNUSED(option);
-  Q_UNUSED(widget);
-
-  if(!mImageSource.isEmpty())
-  {
-    //open file from image source
-    QByteArray data = QByteArray::fromBase64(mImageSource.toLatin1());
-    QImage image;
-    if(image.loadFromData(data))
-      painter->drawImage(getBoundingRect(), image.mirrored());
-  }
-  else
-  {
-    QImage image(mFileName);
-    painter->drawImage(getBoundingRect(), image.mirrored());
-  }
-}
-
-void BitmapAnnotation::addPoint(QPointF point)
-{
-  mExtent.append(point);
-}
-
-void BitmapAnnotation::updatePoint(int index, QPointF point)
-{
-  mExtent.replace(index, point);
-}
-
-void BitmapAnnotation::updateEndPoint(QPointF point)
-{
-  mExtent.back() = point;
-}
-
-void BitmapAnnotation::drawRectangleCornerItems()
-{
-  mIsFinishedCreatingShape = true;
-  for (int i = 0 ; i < this->mExtent.size() ; i++)
-  {
-    QPointF point = this->mExtent.at(i);
-    RectangleCornerItem *rectangleCornerItem = new RectangleCornerItem(point.x(), point.y(), i, this);
-    mRectangleCornerItemsList.append(rectangleCornerItem);
-  }
-  emit updateShapeAnnotation();
-}
-
-QString BitmapAnnotation::getShapeAnnotation()
-{
-  QString annotationString;
-  annotationString.append("Bitmap(");
-
-  if (!mVisible)
-  {
-    annotationString.append("visible=false,");
-  }
-
-  annotationString.append("rotation=").append(QString::number(this->rotation())).append(",");
-
-  annotationString.append("extent={{");
-  annotationString.append(QString::number(mapToScene(mExtent.at(0)).x())).append(",");
-  annotationString.append(QString::number(mapToScene(mExtent.at(0)).y())).append("},{");
-  annotationString.append(QString::number(mapToScene(mExtent.at(1)).x())).append(",");
-  annotationString.append(QString::number(mapToScene(mExtent.at(1)).y()));
-  annotationString.append("}}");
-
-  if(mImageSource.isEmpty())
-  {
-    annotationString.append(", fileName=");
-    annotationString.append('"');
-    annotationString.append(mFileName);
-    annotationString.append('"');
-
-    annotationString.append(", imageSource=");
-    annotationString.append('"');
-    annotationString.append('"');
-  }
-  else
-  {
-    annotationString.append(", fileName=");
-    annotationString.append('"');
-    annotationString.append('"');
-
-    annotationString.append(", imageSource=");
-    annotationString.append('"');
-    annotationString.append(mImageSource);
-    annotationString.append('"');
-  }
-
-  annotationString.append(")");
-  return annotationString;
-}
-
-void BitmapAnnotation::setFileName(QString fileName)
-{
-  mFileName = fileName;
-}
-
-void BitmapAnnotation::updateAnnotation()
-{
-  emit updateShapeAnnotation();
-}
-
-void BitmapAnnotation::parseShapeAnnotation(QString shape, OMCProxy *omc)
-{
-  shape = shape.replace("{", "");
-  shape = shape.replace("}", "");
-
-  // parse the shape to get the list of attributes of bitmap.
-  QStringList list = StringHandler::getStrings(shape);
-  //    if (list.size() < 16)
-  //    {
-  //        return;
-  //    }
-
-  // if first item of list is true then the Rectangle should be visible.
-  this->mVisible = static_cast<QString>(list.at(0)).contains("true");
-
-  int index = 0;
-  mOrigin.setX(static_cast<QString>(list.at(1)).toFloat());
-  mOrigin.setY(static_cast<QString>(list.at(2)).toFloat());
-  mRotation = static_cast<QString>(list.at(3)).toFloat();
-  index = 3;
-  // 4,5,6,7 items of the list contains the extent points of rectangle.
-  index = index + 1;
-  qreal x = static_cast<QString>(list.at(index)).toFloat();
-  index = index + 1;
-  qreal y = static_cast<QString>(list.at(index)).toFloat();
-  QPointF p1 (x, y);
-  index = index + 1;
-  x = static_cast<QString>(list.at(index)).toFloat();
-  index = index + 1;
-  y = static_cast<QString>(list.at(index)).toFloat();
-  QPointF p2 (x, y);
-
-  this->mExtent.append(p1);
-  this->mExtent.append(p2);
-
-  //8 Item contains filename
-  index = index + 1;
-  QString tempFileName = StringHandler::removeFirstLastQuotes(list.at(index));
-  QDir dir(tempFileName);
-
-  if(dir.isAbsolute())
-    this->mFileName = tempFileName;
-  else
-  {
-    if(tempFileName.startsWith("/"))
-      this->mFileName = tempFileName;
-    else
-    {
-      tempFileName.insert(0, QString("/"));
-      this->mFileName = tempFileName;
-    }
-  }
-
-  //If not customshape create absolute path.
-  if(!mIsCustomShape)
-  {
-    QString modelPath = mpComponent->getOMCProxy()->getSourceFile(mpComponent->getClassName());
-    QFileInfo qFile(modelPath);
-    this->mFileName = qFile.absolutePath() + "/" + tempFileName;
-  }
-
-  //9 Item contains imagesource
-  if(tempFileName.isEmpty())
-  {
-    index = index + 1;
-    this->mImageSource = StringHandler::removeFirstLastQuotes(list.at(index));
-  }
-}
-
-void BitmapAnnotation::setImageSource(QString imageSource)
-{
-  mImageSource = imageSource;
-}
-
-QString BitmapAnnotation::getFileName()
-{
-  return mFileName;
-}
-
-//Bitmapwidget declarations...
-
-BitmapWidget::BitmapWidget(BitmapAnnotation *pBitmapShape, MainWindow *parent)
-  : QDialog(parent, Qt::WindowTitleHint)
-{
-  setWindowTitle(QString(Helper::applicationName).append(" - Open bitmap"));
-  setAttribute(Qt::WA_DeleteOnClose);
-  setMaximumSize(175, 150);
-  mpMainWindow = parent;
-  mpBitmapAnnotation = pBitmapShape;
-  setUpForm();
-}
-
-void BitmapWidget::setUpForm()
-{
-  mpBrowseBox = new QLineEdit(tr(""));
-
-  mpBrowseButton = new QPushButton(tr("Browse"));
-  mpBrowseButton->setAutoDefault(true);
-  connect(mpBrowseButton, SIGNAL(clicked()), this, SLOT(browse()));
-
-  mpCheckBox = new QCheckBox("Store picture in model", this);
-
-  mpOkButton = new QPushButton(tr("OK"));
-  mpOkButton->setAutoDefault(false);
-  connect(mpOkButton, SIGNAL(clicked()), this, SLOT(edit()));
-
-  mpCancelButton = new QPushButton(tr("Cancel"));
-  mpCancelButton->setAutoDefault(false);
-  connect(mpCancelButton, SIGNAL(clicked()), this, SLOT(reject()));
-
-  mpButtonBox = new QDialogButtonBox(Qt::Horizontal);
-  mpButtonBox->addButton(mpOkButton, QDialogButtonBox::ActionRole);
-  mpButtonBox->addButton(mpCancelButton, QDialogButtonBox::ActionRole);
-
-  QGridLayout *mainLayout = new QGridLayout;
-
-  mainLayout->addWidget(mpBrowseBox, 0, 0);
-  mainLayout->addWidget(mpBrowseButton, 0, 1);
-  mainLayout->addWidget(mpCheckBox, 2, 0);
-  mainLayout->addWidget(mpButtonBox, 3, 0);
-
-  setLayout(mainLayout);
-}
-
-void BitmapWidget::edit()
-{
-  if(!(mpBrowseBox->text().endsWith("png") || mpBrowseBox->text().endsWith("bmp") || mpBrowseBox->text().endsWith("jpg")))
-  {
-    QMessageBox *msgBox = new QMessageBox(mpMainWindow);
-    msgBox->setWindowTitle(QString(Helper::applicationName));
-    msgBox->setIcon(QMessageBox::Critical);
-    msgBox->setText(QString("Unknown file format"));
-    msgBox->setStandardButtons(QMessageBox::Ok);
-    msgBox->setDefaultButton(QMessageBox::Ok);
-    int answer = msgBox->exec();
-    return;
-  }
-
-  //Set file name as picture path relative to model directory...
-  QString modelPath = mpMainWindow->getModelWidgetContainer()->getCurrentModelWidget()->getLibraryTreeNode()->getFileName();
-  QFileInfo qfile(modelPath);
-  QDir dir(qfile.absolutePath());
-  QString relativePath;
-  relativePath = dir.relativeFilePath(mpBrowseBox->text());
-  mpBitmapAnnotation->setFileName("/" + relativePath);
-
-  if(!dir.exists(relativePath))
-  {
-    QMessageBox *msgBox = new QMessageBox(mpMainWindow);
-    msgBox->setWindowTitle(QString(Helper::applicationName));
-    msgBox->setIcon(QMessageBox::Critical);
-    msgBox->setText(QString("File doesn't exist"));
-    msgBox->setStandardButtons(QMessageBox::Ok);
-    msgBox->setDefaultButton(QMessageBox::Ok);
-    msgBox->exec();
-  }
-
-  //Store imageSource base64 of the image if checked
-  if(mpCheckBox->isChecked())
-  {
-    QFile* file = new QFile(mpBrowseBox->text());
-    file->open(QIODevice::ReadOnly);
-    QByteArray image = file->readAll();
-    QString imageSource = QString(image.toBase64());
-
-    mpBitmapAnnotation->setImageSource(imageSource);
-  }
-  else
-    mpBitmapAnnotation->setImageSource("");
-
-  accept();
-  mpBitmapAnnotation->updateAnnotation();
-}
-
-void BitmapWidget::show()
-{
-  setVisible(true);
-}
-
-void BitmapWidget::browse()
-{
-  QString name = QFileDialog::getOpenFileName(this, tr("Open Image"),
-                                              QDir::currentPath() + QString("/../.."),
-                                              tr("Image Files (*.png *.bmp *.jpg)"));
-  mpBrowseBox->setText(name);
-}
Index: /branches/OMEdit/OMEditGUI/BitmapAnnotation.h
===================================================================
--- /branches/OMEdit/OMEditGUI/BitmapAnnotation.h	(revision 13536)
+++ /branches/OMEdit/OMEditGUI/BitmapAnnotation.h	(revision 13537)
@@ -42,56 +42,3 @@
 class OMCProxy;
 
-class  BitmapAnnotation : public ShapeAnnotation
-{
-  Q_OBJECT
-public:
-  BitmapAnnotation(QString shape, Component *pParent);
-  BitmapAnnotation(GraphicsView *graphicsView, QGraphicsItem *pParent = 0);
-  BitmapAnnotation(QString shape, GraphicsView *graphicsView, QGraphicsItem *pParent = 0);
-  QRectF boundingRect() const;
-  QPainterPath shape() const;
-  void paint(QPainter *painter, const QStyleOptionGraphicsItem *option, QWidget *widget = 0);
-  void addPoint(QPointF point);
-  void updateEndPoint(QPointF point);
-  void drawRectangleCornerItems();
-  QString getShapeAnnotation();
-  void parseShapeAnnotation(QString shape, OMCProxy *omc);
-  void setFileName(QString fileName);
-  void updateAnnotation();
-  void setImageSource(QString imageSource);
-  QString getFileName();
-
-  Component *mpComponent;
-private:
-  QString mFileName;
-  QString mImageSource;
-public slots:
-  void updatePoint(int index, QPointF point);
-};
-
-//! @brief The popup when you create a bitmap shape
-
-class BitmapWidget : public QDialog
-{
-  Q_OBJECT
-public:
-  BitmapWidget(BitmapAnnotation *pBitmapShape, MainWindow *parent);
-
-  void setUpForm();
-  void show();
-
-  MainWindow *mpMainWindow;
-private:
-  QLineEdit *mpBrowseBox;
-  QPushButton *mpBrowseButton;
-  QPushButton *mpOkButton;
-  QPushButton *mpCancelButton;
-  QDialogButtonBox *mpButtonBox;
-  QCheckBox *mpCheckBox;
-  BitmapAnnotation *mpBitmapAnnotation;
-public slots:
-  void edit();
-  void browse();
-};
-
 #endif // BITMAPANNOTATION_H
Index: /branches/OMEdit/OMEditGUI/Component.cpp
===================================================================
--- /branches/OMEdit/OMEditGUI/Component.cpp	(revision 13536)
+++ /branches/OMEdit/OMEditGUI/Component.cpp	(revision 13537)
@@ -36,6 +36,6 @@
 #include "Component.h"
 
-Component_OMC::Component_OMC(QString annotation, QString name, QString className, StringHandler::ModelicaClasses type, QString transformation,
-                             QPointF position, OMCProxy *pOMCProxy, GraphicsView *pGraphicsView, Component_OMC *pParent)
+Component::Component(QString annotation, QString name, QString className, StringHandler::ModelicaClasses type, QString transformation,
+                             QPointF position, OMCProxy *pOMCProxy, GraphicsView *pGraphicsView, Component *pParent)
   : QGraphicsItem(pParent), mName(name), mClassName(className), mType(type), mpOMCProxy(pOMCProxy), mpGraphicsView(pGraphicsView),
     mpParentComponent(pParent)
@@ -67,9 +67,9 @@
   // if type is connector and component is not a library component.
   if (mType == StringHandler::CONNECTOR && !isLibraryComponent())
-    connect(this, SIGNAL(componentClicked(Component_OMC*)), mpGraphicsView, SLOT(addConnection(Component_OMC*)));
+    connect(this, SIGNAL(componentClicked(Component*)), mpGraphicsView, SLOT(addConnection(Component*)));
 }
 
 /* Called for inheritance annotation instance */
-Component_OMC::Component_OMC(QString annotation, QString className, StringHandler::ModelicaClasses type, Component_OMC *pParent)
+Component::Component(QString annotation, QString className, StringHandler::ModelicaClasses type, Component *pParent)
   : QGraphicsItem(pParent), mName(""), mClassName(className), mType(type), mpParentComponent(pParent)
 {
@@ -85,10 +85,10 @@
   // if type is connector and component is not a library component.
   if (mType == StringHandler::CONNECTOR && !isLibraryComponent() && mpParentComponent->getType() != StringHandler::CONNECTOR)
-    connect(this, SIGNAL(componentClicked(Component_OMC*)), mpGraphicsView, SLOT(addConnection(Component_OMC*)));
+    connect(this, SIGNAL(componentClicked(Component*)), mpGraphicsView, SLOT(addConnection(Component*)));
 }
 
 /* Called for component annotation instance */
-Component_OMC::Component_OMC(QString annotation, QString transformationString, ComponentInfo *pComponentInfo,
-                             StringHandler::ModelicaClasses type, Component_OMC *pParent)
+Component::Component(QString annotation, QString transformationString, ComponentInfo *pComponentInfo,
+                             StringHandler::ModelicaClasses type, Component *pParent)
   : QGraphicsItem(pParent), mpComponentInfo(pComponentInfo), mType(type), mpParentComponent(pParent)
 {
@@ -107,9 +107,9 @@
   // if type is connector and component is not a library component.
   if (mType == StringHandler::CONNECTOR && !isLibraryComponent() && mpParentComponent->getType() != StringHandler::CONNECTOR)
-    connect(this, SIGNAL(componentClicked(Component_OMC*)), mpGraphicsView, SLOT(addConnection(Component_OMC*)));
+    connect(this, SIGNAL(componentClicked(Component*)), mpGraphicsView, SLOT(addConnection(Component*)));
 }
 
 /* Used for Library Component */
-Component_OMC::Component_OMC(QString annotation, QString className, OMCProxy *pOMCProxy, Component_OMC *pParent)
+Component::Component(QString annotation, QString className, OMCProxy *pOMCProxy, Component *pParent)
   : QGraphicsItem(pParent), mName(className), mClassName(className), mpParentComponent(pParent)
 {
@@ -127,5 +127,5 @@
 }
 
-void Component_OMC::initialize()
+void Component::initialize()
 {
   mVisible = true;
@@ -163,10 +163,10 @@
 }
 
-bool Component_OMC::isLibraryComponent()
+bool Component::isLibraryComponent()
 {
   return mIsLibraryComponent;
 }
 
-void Component_OMC::getClassInheritedComponents(bool isRootComponent)
+void Component::getClassInheritedComponents(bool isRootComponent)
 {
   // read the component inheritance
@@ -191,11 +191,11 @@
     else
       annotationString = mpOMCProxy->getIconAnnotation(inheritedClass);
-    Component_OMC *pInheritedComponent;
-    pInheritedComponent  = new Component_OMC(annotationString, inheritedClass, isConnector, this);
+    Component *pInheritedComponent;
+    pInheritedComponent  = new Component(annotationString, inheritedClass, isConnector, this);
     mpInheritanceList.append(pInheritedComponent);
   }
 }
 
-void Component_OMC::parseAnnotationString(QString annotation)
+void Component::parseAnnotationString(QString annotation)
 {
   // parse the annotation string
@@ -236,5 +236,5 @@
       shape = shape.mid(QString("Line").length());
       shape = StringHandler::removeFirstLastBrackets(shape);
-      LineAnnotation_OMC *pLineAnnotation = new LineAnnotation_OMC(shape, this);
+      LineAnnotation *pLineAnnotation = new LineAnnotation(shape, this);
       mpShapesList.append(pLineAnnotation);
     }
@@ -243,5 +243,5 @@
       shape = shape.mid(QString("Polygon").length());
       shape = StringHandler::removeFirstLastBrackets(shape);
-      PolygonAnnotation_OMC *pPolygonAnnotation = new PolygonAnnotation_OMC(shape, this);
+      PolygonAnnotation *pPolygonAnnotation = new PolygonAnnotation(shape, this);
       mpShapesList.append(pPolygonAnnotation);
     }
@@ -250,5 +250,5 @@
       shape = shape.mid(QString("Rectangle").length());
       shape = StringHandler::removeFirstLastBrackets(shape);
-      RectangleAnnotation_OMC *pRectangleAnnotation = new RectangleAnnotation_OMC(shape, this);
+      RectangleAnnotation *pRectangleAnnotation = new RectangleAnnotation(shape, this);
       mpShapesList.append(pRectangleAnnotation);
     }
@@ -257,5 +257,5 @@
       shape = shape.mid(QString("Ellipse").length());
       shape = StringHandler::removeFirstLastBrackets(shape);
-      EllipseAnnotation_OMC *pEllipseAnnotation = new EllipseAnnotation_OMC(shape, this);
+      EllipseAnnotation *pEllipseAnnotation = new EllipseAnnotation(shape, this);
       mpShapesList.append(pEllipseAnnotation);
     }
@@ -268,5 +268,5 @@
         shape = shape.mid(QString("Text").length());
         shape = StringHandler::removeFirstLastBrackets(shape);
-        TextAnnotation_OMC *pTextAnnotation = new TextAnnotation_OMC(shape, this);
+        TextAnnotation *pTextAnnotation = new TextAnnotation(shape, this);
         mpShapesList.append(pTextAnnotation);
       }
@@ -282,7 +282,7 @@
 }
 
-void Component_OMC::getClassComponents()
-{
-  foreach (Component_OMC *pInheritedComponent, mpInheritanceList)
+void Component::getClassComponents()
+{
+  foreach (Component *pInheritedComponent, mpInheritanceList)
   {
     pInheritedComponent->getClassComponents();
@@ -310,5 +310,5 @@
       {
         QString result = mpOMCProxy->getIconAnnotation(pComponentInfo->getClassName());
-        Component_OMC *pComponent = new Component_OMC(result, componentsAnnotations.at(i), pComponentInfo, StringHandler::CONNECTOR,
+        Component *pComponent = new Component(result, componentsAnnotations.at(i), pComponentInfo, StringHandler::CONNECTOR,
                                                       getRootParentComponent());
         mpComponentsList.append(pComponent);
@@ -319,5 +319,5 @@
 }
 
-void Component_OMC::createActions()
+void Component::createActions()
 {
   // Properties Action
@@ -331,5 +331,5 @@
 }
 
-void Component_OMC::createResizerItems()
+void Component::createResizerItems()
 {
   qreal x1, y1, x2, y2;
@@ -369,5 +369,5 @@
 }
 
-void Component_OMC::getResizerItemsPositions(qreal *x1, qreal *y1, qreal *x2, qreal *y2)
+void Component::getResizerItemsPositions(qreal *x1, qreal *y1, qreal *x2, qreal *y2)
 {
   qreal x11, y11, x22, y22;
@@ -395,5 +395,5 @@
 }
 
-void Component_OMC::showResizerItems()
+void Component::showResizerItems()
 {
   qreal x1, y1, x2, y2;
@@ -413,5 +413,5 @@
 }
 
-void Component_OMC::hideResizerItems()
+void Component::hideResizerItems()
 {
   mpBottomLeftResizerItem->setPassive();
@@ -421,5 +421,5 @@
 }
 
-QRectF Component_OMC::boundingRect() const
+QRectF Component::boundingRect() const
 {
   qreal left = mpCoOrdinateSystem->getExtent().at(0).x();
@@ -430,5 +430,5 @@
 }
 
-void Component_OMC::paint(QPainter *painter, const QStyleOptionGraphicsItem *option, QWidget *widget)
+void Component::paint(QPainter *painter, const QStyleOptionGraphicsItem *option, QWidget *widget)
 {
   Q_UNUSED(painter);
@@ -437,37 +437,37 @@
 }
 
-QString Component_OMC::getName()
+QString Component::getName()
 {
   return mName;
 }
 
-QString Component_OMC::getClassName()
+QString Component::getClassName()
 {
   return mClassName;
 }
 
-StringHandler::ModelicaClasses Component_OMC::getType()
+StringHandler::ModelicaClasses Component::getType()
 {
   return mType;
 }
 
-OMCProxy* Component_OMC::getOMCProxy()
+OMCProxy* Component::getOMCProxy()
 {
   return mpOMCProxy;
 }
 
-GraphicsView* Component_OMC::getGraphicsView()
+GraphicsView* Component::getGraphicsView()
 {
   return mpGraphicsView;
 }
 
-Component_OMC* Component_OMC::getParentComponent()
+Component* Component::getParentComponent()
 {
   return mpParentComponent;
 }
 
-Component_OMC* Component_OMC::getRootParentComponent()
-{
-  Component_OMC *pComponent;
+Component* Component::getRootParentComponent()
+{
+  Component *pComponent;
   pComponent = this;
   while (pComponent->mpParentComponent)
@@ -476,45 +476,45 @@
 }
 
-Transformation* Component_OMC::getTransformation()
+Transformation* Component::getTransformation()
 {
   return mpTransformation;
 }
 
-QList<Component_OMC*> Component_OMC::getInheritanceList()
+QList<Component*> Component::getInheritanceList()
 {
   return mpInheritanceList;
 }
 
-ComponentInfo* Component_OMC::getComponentInfo()
+ComponentInfo* Component::getComponentInfo()
 {
   return mpComponentInfo;
 }
 
-QList<ShapeAnnotation_OMC*> Component_OMC::getShapesList()
+QList<ShapeAnnotation*> Component::getShapesList()
 {
   return mpShapesList;
 }
 
-QList<Component_OMC*> Component_OMC::getComponentsList()
+QList<Component*> Component::getComponentsList()
 {
   return mpComponentsList;
 }
 
-void Component_OMC::setOldPosition(QPointF oldPosition)
+void Component::setOldPosition(QPointF oldPosition)
 {
   mOldPosition = oldPosition;
 }
 
-QPointF Component_OMC::getOldPosition()
+QPointF Component::getOldPosition()
 {
   return mOldPosition;
 }
 
-void Component_OMC::setMousePressed(bool On)
+void Component::setMousePressed(bool On)
 {
   mIsMousePressed = On;
 }
 
-void Component_OMC::setComponentFlags()
+void Component::setComponentFlags()
 {
   // set the item flags
@@ -527,5 +527,5 @@
 }
 
-void Component_OMC::unsetComponentFlags()
+void Component::unsetComponentFlags()
 {
   // unset the item flags
@@ -538,5 +538,5 @@
 }
 
-void Component_OMC::getExtents(QPointF *pExtent1, QPointF *pExtent2)
+void Component::getExtents(QPointF *pExtent1, QPointF *pExtent2)
 {
   qreal x1, y1, x2, y2;
@@ -568,5 +568,5 @@
 }
 
-QString Component_OMC::getTransformationAnnotationString()
+QString Component::getTransformationAnnotationString()
 {
   QString annotationString;
@@ -590,5 +590,5 @@
 }
 
-QString Component_OMC::getPlacementAnnotation()
+QString Component::getPlacementAnnotation()
 {
   // create the placement annotation string
@@ -600,6 +600,6 @@
     {
       // first get the component from diagram view and get the transformations
-      Component_OMC *pComponent;
-      pComponent = mpGraphicsView->getModelWidget()->getDiagramGraphicsView()->getComponent_OMCObject(getName());
+      Component *pComponent;
+      pComponent = mpGraphicsView->getModelWidget()->getDiagramGraphicsView()->getComponentObject(getName());
       if (pComponent)
         placementAnnotationString.append(", ").append(pComponent->getTransformationAnnotationString());
@@ -612,6 +612,6 @@
       placementAnnotationString.append(", ").append(getTransformationAnnotationString());
       // then get the icon transformations
-      Component_OMC *pComponent;
-      pComponent = mpGraphicsView->getModelWidget()->getIconGraphicsView()->getComponent_OMCObject(getName());
+      Component *pComponent;
+      pComponent = mpGraphicsView->getModelWidget()->getIconGraphicsView()->getComponentObject(getName());
       if (pComponent)
         placementAnnotationString.append(", ").append(pComponent->getTransformationAnnotationString());
@@ -626,5 +626,5 @@
 }
 
-void Component_OMC::updatePlacementAnnotation()
+void Component::updatePlacementAnnotation()
 {
   // Add component annotation.
@@ -636,5 +636,5 @@
 }
 
-void Component_OMC::applyRotation(qreal angle)
+void Component::applyRotation(qreal angle)
 {
   mpTransformation->setRotateAngle(angle);
@@ -646,5 +646,5 @@
 }
 
-void Component_OMC::addConnectionDetails(LineAnnotation_OMC *pConnectorLineAnnotation)
+void Component::addConnectionDetails(LineAnnotation *pConnectorLineAnnotation)
 {
   // handle component position, rotation and scale changes
@@ -659,10 +659,10 @@
 }
 
-void Component_OMC::updateConnection()
+void Component::updateConnection()
 {
   emit componentTransformHasChanged();
 }
 
-void Component_OMC::prepareResizeShape(ResizerItem *pResizerItem)
+void Component::prepareResizeShape(ResizerItem *pResizerItem)
 {
   hideResizerItems();
@@ -699,5 +699,5 @@
 }
 
-void Component_OMC::resizeShape(int index, QPointF newPosition)
+void Component::resizeShape(int index, QPointF newPosition)
 {
   Q_UNUSED(index);
@@ -741,5 +741,5 @@
 }
 
-void Component_OMC::finishResizeShape()
+void Component::finishResizeShape()
 {
   qreal x1, y1, x2, y2;
@@ -813,5 +813,5 @@
 }
 
-void Component_OMC::updateShapePosition()
+void Component::updateShapePosition()
 {
   // update the placement annotation of the component
@@ -820,8 +820,8 @@
 }
 
-void Component_OMC::deleteMe()
+void Component::deleteMe()
 {
   // delete the component from model
-  mpGraphicsView->deleteComponent_OMCObject(this);
+  mpGraphicsView->deleteComponentObject(this);
   // remove the component from the scene
   mpGraphicsView->scene()->removeItem(this);
@@ -831,5 +831,5 @@
 }
 
-void Component_OMC::rotateClockwise()
+void Component::rotateClockwise()
 {
   qreal oldRotation = mpTransformation->getRotateAngle();
@@ -845,5 +845,5 @@
 }
 
-void Component_OMC::rotateAntiClockwise()
+void Component::rotateAntiClockwise()
 {
   qreal oldRotation = mpTransformation->getRotateAngle();
@@ -863,5 +863,5 @@
 //! @see moveLeft()
 //! @see moveRight()
-void Component_OMC::moveUp()
+void Component::moveUp()
 {
   mpTransformation->setOrigin(QPointF(mpTransformation->getOrigin().x(), mpTransformation->getOrigin().y() + 1));
@@ -876,5 +876,5 @@
 //! @see moveLeft()
 //! @see moveRight()
-void Component_OMC::moveDown()
+void Component::moveDown()
 {
   mpTransformation->setOrigin(QPointF(mpTransformation->getOrigin().x(), mpTransformation->getOrigin().y() - 1));
@@ -889,5 +889,5 @@
 //! @see moveDown()
 //! @see moveRight()
-void Component_OMC::moveLeft()
+void Component::moveLeft()
 {
   mpTransformation->setOrigin(QPointF(mpTransformation->getOrigin().x() - 1, mpTransformation->getOrigin().y()));
@@ -902,5 +902,5 @@
 //! @see moveDown()
 //! @see moveLeft()
-void Component_OMC::moveRight()
+void Component::moveRight()
 {
   mpTransformation->setOrigin(QPointF(mpTransformation->getOrigin().x() + 1, mpTransformation->getOrigin().y()));
@@ -911,5 +911,5 @@
 }
 
-void Component_OMC::mousePressEvent(QGraphicsSceneMouseEvent *event)
+void Component::mousePressEvent(QGraphicsSceneMouseEvent *event)
 {
   // if user is viewing the component in Icon View
@@ -937,5 +937,5 @@
 
 //! Event when mouse cursor enters component icon.
-void Component_OMC::hoverEnterEvent(QGraphicsSceneHoverEvent *event)
+void Component::hoverEnterEvent(QGraphicsSceneHoverEvent *event)
 {
   Q_UNUSED(event);
@@ -946,5 +946,5 @@
 
 //! Event when mouse cursor leaves component icon.
-void Component_OMC::hoverLeaveEvent(QGraphicsSceneHoverEvent *event)
+void Component::hoverLeaveEvent(QGraphicsSceneHoverEvent *event)
 {
   Q_UNUSED(event);
@@ -954,5 +954,5 @@
 }
 
-void Component_OMC::contextMenuEvent(QGraphicsSceneContextMenuEvent *event)
+void Component::contextMenuEvent(QGraphicsSceneContextMenuEvent *event)
 {
   // if we are viewing some readonly component then don't show the contextmenu
@@ -960,5 +960,5 @@
     return;
   setSelected(true);
-  Component_OMC *pComponent = getRootParentComponent();
+  Component *pComponent = getRootParentComponent();
   QMenu menu(mpGraphicsView);
   menu.icon();
@@ -973,5 +973,5 @@
 }
 
-QVariant Component_OMC::itemChange(GraphicsItemChange change, const QVariant &value)
+QVariant Component::itemChange(GraphicsItemChange change, const QVariant &value)
 {
   QGraphicsItem::itemChange(change, value);
